Получаване на доставчици на синтезатори
curl --request GET \
--url https://call.aiployees.com/api/user/assistants/synthesizer-providers \
--header 'Authorization: Bearer <token>'import requests
url = "https://call.aiployees.com/api/user/assistants/synthesizer-providers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://call.aiployees.com/api/user/assistants/synthesizer-providers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": 1,
"name": "ElevenLabs",
"code": "elevenlabs"
},
{
"id": 2,
"name": "Azure",
"code": "azure"
},
{
"id": 3,
"name": "Cartesia",
"code": "cartesia"
}
]
[
{
"id": 1,
"name": "ElevenLabs",
"code": "elevenlabs"
},
{
"id": 3,
"name": "Cartesia",
"code": "cartesia"
}
]
Асистенти
Получаване на доставчици на синтезатори
Извличане на достъпни доставчици на TTS (text-to-speech) синтезатори
GET
/
user
/
assistants
/
synthesizer-providers
Получаване на доставчици на синтезатори
Този endpoint връща списък с достъпни доставчици на синтезатори, които могат да бъдат използвани при създаване или актуализиране на асистенти. Използвайте връщаният
id като synthesizer_provider_id при конфигуриране на асистент.
Query параметри
integer
Филтриране на доставчиците по поддръжка на езици. Връща само доставчиците, които поддържат зададения език. Използвайте Get Languages endpoint-а за получаване на достъпни ID на езици.
Response полета
array
[
{
"id": 1,
"name": "ElevenLabs",
"code": "elevenlabs"
},
{
"id": 2,
"name": "Azure",
"code": "azure"
},
{
"id": 3,
"name": "Cartesia",
"code": "cartesia"
}
]
[
{
"id": 1,
"name": "ElevenLabs",
"code": "elevenlabs"
},
{
"id": 3,
"name": "Cartesia",
"code": "cartesia"
}
]
Забележки
- Ако не е предоставен филтър
language_id, се връщат всички доставчици - Не всички доставчици поддържат всички езици — използвайте филтъра
language_idза получаване на съвместими доставчици - Доставчиците на синтезатори са актуални само за режимите
pipelineиdualplex(multimodal режимът обработва TTS вътрешно) - Ако не зададете
synthesizer_provider_idпри създаване на асистент, се използва доставчикът по подразбиране за езика

